package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 节假日，需每年手动更新对象 sys_holiday
 * 
 * @author ruoyi
 * @date 2023-03-04
 */
public class SysHoliday extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 日期 (yyyy-MM-dd) */
    @Excel(name = "日期 (yyyy-MM-dd)")
    private String day;

    /** 1:法律规定的放假日期， 2：由于放假需要额外工作的周末 */
    @Excel(name = "1:法律规定的放假日期， 2：由于放假需要额外工作的周末")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setDay(String day) 
    {
        this.day = day;
    }

    public String getDay() 
    {
        return day;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("day", getDay())
            .append("type", getType())
            .toString();
    }
}
